﻿/*
 * Created by SharpDevelop.
 * User: Maciek
 * Date: 2015-06-15
 * Time: 19:43
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
 
using System;
using System.Text;
using System.Threading;
using NUnit.Framework;
using OpenQA.Selenium;
using OpenQA.Selenium.Firefox;
using OpenQA.Selenium.Support.UI;

namespace PierwszaSolucja
{
	[TestFixture]
	public class PKSZielonaGora
	{
		private IWebDriver driver;
        private StringBuilder verificationErrors;
        private string baseURL;
        WebDriverWait wait;
        
		[SetUp]
        public void SetupTest()
        {
            driver = new FirefoxDriver();
            baseURL = "http://www.pks.zgora.pl/";
            verificationErrors = new StringBuilder();
        }
        
		[Test]
        public void WybieranieElementuZListy()
        {
            driver.Navigate().GoToUrl(baseURL);
            PoczekajNaZaladowanieElementu(By.LinkText("Kup bilet miesięczny")).Click();
            PoczekajNaZaladowanieElementu(By.Id("content"));
            new SelectElement(driver.FindElement(By.Id("poczatek"))).SelectByIndex(1);
            new SelectElement(driver.FindElement(By.Id("poczatek"))).SelectByText("Broniszów");
            new SelectElement(driver.FindElement(By.Id("poczatek"))).SelectByValue("115");
            
            Assert.AreEqual("Kotowice", new SelectElement(driver.FindElement(By.Id("poczatek"))).SelectedOption.Text);
            
            Thread.Sleep(5000);
        }
		
		[TearDown]
        public void TeardownTest()
        {
            try
            {
                driver.Quit();
            }
            catch (Exception)
            {
                // Ignore errors if unable to close the browser
            }
            Assert.AreEqual("", verificationErrors.ToString());
        }
        
        public IWebElement PoczekajNaZaladowanieElementu(By by, int sekundy = 10)
        {
        	wait = new WebDriverWait(driver, TimeSpan.FromSeconds(sekundy));
        	IWebElement element = wait.Until(x=> driver.FindElement(by));        	           
        	return element;
        }
	}
}
